{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
{{!
    @template block_myoverview/view-summary

    This template renders the list view for the myoverview block.

    Example context (json):
    {
        "courses": [
            {
                "name": "Assignment due 1",
                "viewurl": "https://moodlesite/course/view.php?id=2",
                "courseimage": "https://moodlesite/pluginfile/123/course/overviewfiles/123.jpg",
                "fullname": "course 3",
                "summary": "This course is about assignments",
                "hasprogress": true,
                "progress": 10
            }
        ]
    }
}}

<ul class="list-group list-group-summary rounded mb-3">
{{#courses}}
    <li class="list-group-item course-listitem {{#isfavourite}}list-group-item--favourite{{/isfavourite}}"
        data-region="course-content"
        data-course-id="{{{id}}}">
        <div class="d-block">
            <div class="pr-5">
                <a href="{{viewurl}}" class="coursename">{{> core_course/favouriteicon }}{{#showshortname}}<span class="sr-only">{{#str}}aria:courseshortname, core_course{{/str}}</span><div class="text-muted muted">{{{shortname}}}</div>{{/showshortname}}<span class="sr-only">{{#str}}aria:coursename, core_course{{/str}}</span>{{{fullname}}}</a>
            </div>
            <div class="list-group-item-desc mt-1">
                <span class="sr-only">{{#str}}aria:coursesummary, block_myoverview{{/str}}</span>
                {{{summary}}}
            </div>            
            {{#hasprogress}}
            <div class="mt-1 pt-1">
                {{> block_myoverview/progress-bar}}
            </div>
            {{/hasprogress}}
            <div>
                {{> block_myoverview/course-action-menu }}
            </div>
                            
        </div>
    </li>
{{/courses}}
</ul>
